#include <qlayout.h>
#include <qlabel.h>
#include <qdialog.h>
#include <networkman.h>
#include <kcmodule.h>
#include <stdlib.h>

class KConfigDialogManager;


class  PCBSDKCModule : public KCModule {
   Q_OBJECT

public:
   PCBSDKCModule(QWidget *parent=0,  const QVariantList &args=QVariantList());
   ~PCBSDKCModule();
   
   void load();
   void defaults();
   void save();
   virtual int buttons();
   bool checkRoot();
   QLayout 	*layout;

public slots:
   void configChanged();

private: 
   NetworkMan *netproc;

};

