/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/
#include "restartpopup.h"
#include "ui_restartpopup.h"
#include <qtimer.h>


void restartPopup::init()
{
   QTimer::singleShot( 500, this, SLOT(restart()) );
}

void restartPopup::restart()
{
   QString program = "/etc/rc.d/netif";     
   QStringList arguments;
   arguments << "restart";
   restartNet = new QProcess( this );
   restartNet->start(program, arguments);  
   connect( restartNet, SIGNAL(processExited()), this, SLOT(slotClose() ) );	   
}

void restartPopup::slotClose()
{
    close();
}
